package org.apithefire.util.resource;

import java.io.InputStream;
import java.util.Date;
import java.util.List;

import org.apithefire.util.lang.Path;

public interface Resource {
	
	public boolean isDirectory();
	
	public List<String> listResourceNames();
	
	public List<String> listResourceNames(NameFilter filter);
	
	public Resource getResource(String relativePath);
	
	public Resource getResource(Path relativePath);
	
	public boolean isContent();
	
	public Date getContentModifiedTime();
	
	public long getContentSize();
	
	public InputStream openContent();
	
}
